Resize a Slice

Type: POST

https://cloud.syminet.com/api/v1/slices/{SLICE_ID}/resize

Resize SLICE_ID to slug size, optionally disk as well.

Tip

CPU/RAM Only resizes can be reversed. This is the default.

Caution

Disk resizes are permanent. They are not reversible.

Required URL Parameters:

SLICE_ID

Slice ID

Required JSON Properties:

size

Slug for size / plan of new slice. Must be larger than existing size. See the panel slug reference page at https://cloud.syminet.com/slices/slugs/sizes ↗ or the slug reference page for API access to slugs.

Optional JSON Properties:

disk

if == “True”, also resize disk. This is not reversible.

Curl
 curl --request POST \
      --url https://cloud.syminet.com/api/v1/slices/SLICE_ID/resize \
      --header "content-type: application/json" \
      --header "authorization:bearer $API_TOKEN" \
      --data '
      {
         "size": "s-8gb"
      }
      '
Response
{
  "backups_disabled": null,
  "backups_enabled": false,
  "building": 1,
  "bw_current": 0,
  "bw_previous": 0,
  "created": "2025-02-06 17:19:36.925397",
  "datacenter_id": 6,
  "deleted": null,
  "disk": 80,
  "disk_allocated": 1,
  "fw_id": null,
  "fw_status": null,
  "host_id": 50,
  "id": 3827,
  "ip": "74.80.234.190",
  "ip_private": null,
  "isrunning": null,
  "last_backup": null,
  "legacy": null,
  "notes": null,
  "osinfo": "debian12",
  "osname": "Debian 12",
  "percent_complete": null,
  "progress": "queued",
  "ram": 8,
  "region": "SFO1",
  "slug": "s-8gb",
  "smtp": true,
  "status": "resize",
  "symscript_id": null,
  "user_id": 1423,
  "vcpu": 4,
  "vm_uuid": "f4dbbae0-119a-416f-badb-fbfd8e12347d",
  "vmname": "11test1-newvm"
}